Solid Edge FrameworkSupport Type Library
AddByStartAlongEnd Method
Specifies the coordinates of the start point of the arc.
Specifies the coordinates of the start point of the arc.
Specifies the coordinates of a point along the arc.
Specifies the coordinates of a point along the arc.
Specifies the coordinates of the end point of the arc.
Specifies the coordinates of the end point of the arc.
Description
Creates an Arc2d object by three points: the start point, a point along the arc, and the end point.
Syntax
Visual Basic
Public Function AddByStartAlongEnd( _
   ByVal xStart As Double, _
   ByVal yStart As Double, _
   ByVal xAlong As Double, _
   ByVal yAlong As Double, _
   ByVal xEnd As Double, _
   ByVal yEnd As Double _
) As Arc2d
Parameters
xStart
Specifies the coordinates of the start point of the arc.
yStart
Specifies the coordinates of the start point of the arc.
xAlong
Specifies the coordinates of a point along the arc.
yAlong
Specifies the coordinates of a point along the arc.
xEnd
Specifies the coordinates of the end point of the arc.
yEnd
Specifies the coordinates of the end point of the arc.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objArcs As SolidEdgeFrameworkSupport.Arcs2d
    Dim sDumpStatus As String    ' Used for temporary storage of datadump return string
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    ' Create an Arcs collection object
    Set objArcs = objDoc.ProfileSets.Add.Profiles.Add(pRefPlaneDisp:=objDoc.RefPlanes(1)).Arcs2d
    ' Create an arc
    Call objArcs.AddByStartAlongEnd(xStart:=-0.05, yStart:=0, xAlong:=0, _
                                    yAlong:=0.05, xEnd:=0.05, yEnd:=0)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objArcs = Nothing
End Sub
See Also

Arcs2d Collection  | Arcs2d Members